[xmonad] Re: darcs patch: Replace custom forever_ with library equivalent

TeXitoi texitoi at texitoi.homelinux.org
Wed Jan 21 03:35:16 EST 2009

Don Stewart <dons at galois.com> writes:

> texitoi:
> > xmonad do, xmonad-contrib don't. See OpenBSD ports, only xmonad is
> > available because of ghc 6.6.
> Why does it fail with 6.6? We can probably rectify that.

I have tested with 0.7, not 0.8 or later, but I do not think it has

Some modules do not compile on xmonad-contrib. See
http://article.gmane.org/gmane.os.openbsd.ports/29137 for a patch
removing non-compiling modules.

Right now, xmonad is still in 0.7 in the OpenBSD port tree. There is a
patch on the mailing list, but not commited (I think because of the
removed gap in 0.8 with no replaccement without contrib).

ghc 6.6 is right now the ghc version on OpenBSD because of bootstrap
problem of ghc. There is a port not yet commited for 6.10 (I think it
is not yet comited because of ports not working with 6.10).

If you need a 0.8 test on OpenBSD, I can reinstall ghc 6.6 and try to
compil xmonad and xmonad-contrib 0.8.

Guillaume Pinot                  http://www.irccyn.ec-nantes.fr/~pinot/

``Computers are good at following instructions, but not at reading your
mind.'' -- Donald E. Knuth, the TeXbook

()  ASCII ribbon campaign      -- Against HTML e-mail 
/\  http://www.asciiribbon.org -- Against proprietary attachments

More information about the xmonad mailing list